package com.iamberry.wechat.core.entity.ism;

import java.io.Serializable;
import java.util.Date;

/**
 *  积分记录表类
 * @author Administrator
 * @Date 2019-11-13
 */
public class IntegralLog  implements  Serializable{
    private static final long serialVersionUID = 8736025949126608349L;
    //积分记录id
    private Integer inteLogId;
    //用户openid
    private String userOpenId;
    //日志名称
    private String inteLogName;
    //积分配置id
    private Integer inteConfId;
    //积分类型 1:添加积分2:使用积分3:待入账积分
    private Integer inteLogType;
    //待入账积分转入时间 只有inte_log_type=3才有这个时间
    private Date inteLogWaitingDate;
    //待入账绑定订单
    private String inteLogWaitingOrderId;
    //使用积分，记录的订单号,只有inte_log_type=2才有这个时间
    private String inteLogUseOrderId;
    //待入账->入账会记录过去的待入账id
    private Integer inteLogOldId;
    //积分变动数量
    private Integer inteLogChangeNum;
    //积分变动前数量
    private Integer inteLogBeforeNum;
    //积分变动后数量
    private Integer inteLogAfterNum;
    //状态 1:使用中 2:删除
    private Integer inteLogStatus;
    //备注
    private String inteLogDesc;
    //创建时间'
    private Date inteLogCreateTime;
    //积分使用名称
    private String inteConfName;

    public Integer getInteLogId(){
        return inteLogId;
    }

    public void setInteLogId(Integer  inteLogId){
        this.inteLogId=inteLogId;
    }

    public String getUserOpenId(){
        return userOpenId;
    }

    public void setUserOpenId(String  userOpenId){
        this.userOpenId=userOpenId;
    }

    public Integer getInteConfId(){
        return inteConfId;
    }

    public void setInteConfId(Integer  inteConfId){
        this.inteConfId=inteConfId;
    }

    public Integer getInteLogType(){
        return inteLogType;
    }

    public void setInteLogType(Integer  inteLogType){
        this.inteLogType=inteLogType;
    }

    public Date getInteLogWaitingDate(){
        return inteLogWaitingDate;
    }

    public void setInteLogWaitingDate(Date  inteLogWaitingDate){
        this.inteLogWaitingDate=inteLogWaitingDate;
    }

    public String getInteLogWaitingOrderId(){
        return inteLogWaitingOrderId;
    }

    public void setInteLogWaitingOrderId(String  inteLogWaitingOrderId){
        this.inteLogWaitingOrderId=inteLogWaitingOrderId;
    }

    public Integer getInteLogChangeNum(){
        return inteLogChangeNum;
    }

    public void setInteLogChangeNum(Integer  inteLogChangeNum){
        this.inteLogChangeNum=inteLogChangeNum;
    }

    public Integer getInteLogBeforeNum(){
        return inteLogBeforeNum;
    }

    public void setInteLogBeforeNum(Integer  inteLogBeforeNum){
        this.inteLogBeforeNum=inteLogBeforeNum;
    }

    public Integer getInteLogAfterNum(){
        return inteLogAfterNum;
    }

    public void setInteLogAfterNum(Integer  inteLogAfterNum){
        this.inteLogAfterNum=inteLogAfterNum;
    }

    public Integer getInteLogStatus(){
        return inteLogStatus;
    }

    public void setInteLogStatus(Integer  inteLogStatus){
        this.inteLogStatus=inteLogStatus;
    }

    public String getInteLogDesc(){
        return inteLogDesc;
    }

    public void setInteLogDesc(String  inteLogDesc){
        this.inteLogDesc=inteLogDesc;
    }

    public Date getInteLogCreateTime(){
        return inteLogCreateTime;
    }

    public void setInteLogCreateTime(Date  inteLogCreateTime){
        this.inteLogCreateTime=inteLogCreateTime;
    }

    public String getInteLogUseOrderId() {
        return inteLogUseOrderId;
    }

    public void setInteLogUseOrderId(String inteLogUseOrderId) {
        this.inteLogUseOrderId = inteLogUseOrderId;
    }

    public Integer getInteLogOldId() {
        return inteLogOldId;
    }

    public void setInteLogOldId(Integer inteLogOldId) {
        this.inteLogOldId = inteLogOldId;
    }

    public String getInteLogName() {
        return inteLogName;
    }

    public void setInteLogName(String inteLogName) {
        this.inteLogName = inteLogName;
    }

    public String getInteConfName() {
        return inteConfName;
    }

    public void setInteConfName(String inteConfName) {
        this.inteConfName = inteConfName;
    }
}